#ifndef _I2C_GPIO_H
#define _I2C_GPIO_H

#include <Motorola/m_common.h>
#include <Motorola/mpc555.h>

void i2c_set_data_high(void);
void i2c_set_data_low(void);
void i2c_set_clock_high(void);
void i2c_set_clock_low(void);
unsigned char i2c_get_data(void);
void i2c_set_data_output(void);
void i2c_set_data_input(void);
void i2c_set_clock_output(void);
void i2c_delay(void);
void i2c_start(void);
void i2c_init(void);
void i2c_stop(void);
void i2c_write(unsigned char output_data);
unsigned char i2c_read(void);
void i2c_wait_acknowledge(void);
void i2c_send_acknowledge(unsigned char ack_bit);
unsigned char i2c_get_register(unsigned char addr, unsigned char reg);

#endif /* _I2C_GPIO_H */

