
#include <stdio.h>
#include "mpc555.h"

int main() {
  unsigned long delaycount;
   
  printf("\nsetting up GPIO\n");

  USIU.SIUMCR.B.GPC = 0x1; //enable SGPIO pins 6 and 7 as GIO
  USIU.SGPIOCR.B.SDDRC |= 0x03; //set SGPIO pins 6,7 as output
  /* toggle output pins once */
  USIU.SGPIODT2.B.SGPIOC |= 0x03; //set pins 6,7 high
  USIU.SGPIODT2.B.SGPIOC &= 0xfc; //set pins 6,7 low

  printf("\ndone setting up GPIO\n");
    
  /* toggle output pins */
  while (1){
    printf("\ngoing hi\n");
    USIU.SGPIODT2.B.SGPIOC |= 0x03; //set pins 6,7 high
    delaycount=0;
    do{
      delaycount++;
    }while(delaycount < 3000000);
    printf("\ngoing low\n");
    USIU.SGPIODT2.B.SGPIOC &= 0xfc; //set pins 6,7 low
    delaycount=0;
    do{
      delaycount++;
    }while(delaycount < 3000000);
  }
}

